Overview
GET
/usage/storageusageGet the caller's storage quota + current usage
List storage.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Quota summary
- quotaBytesinteger
Per-user quota in bytes (override or 5 GB default)
- usageBytesinteger
Live sum of ready, non-deleted attachment bytes
- availableBytesinteger
max(0, quotaBytes - usageBytes)
Example
{
"quotaBytes": 0,
"usageBytes": 0,
"availableBytes": 0
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/usage/storage" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/usage/storage", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();